var omediaItem = new FCKToolbarButton( 'sound' , "插入MP3") ;
omediaItem.IconPath = FCKPlugins.Items['sound'].Path + 'icon.gif' ;

FCKToolbarItems.RegisterItem( 'sound', omediaItem ) ;

var oMyCMCommand = new Object() ;
oMyCMCommand.Name = 'sound' ;

oMyCMCommand.Execute = function()
{
	FCKDialog.OpenDialog( 'FCKDialog_Color', '插入MP3', 'dialog/fck_sound.html', 420, 300) ;
 
}

oMyCMCommand.GetState = function()
{
	// Let's make it always enabled.
	return FCK_TRISTATE_OFF ;
}

FCKCommands.RegisterCommand( 'sound', oMyCMCommand ) ;

